%TEST   Simple test of log codes.

v = ver;
for k=1:length(v)
   if strfind(v(k).Name, 'Matrix Function Toolbox'), break, end
   if k == length(v)
       msg = sprintf(['Matrix Function Toolbox must be installed!\n' ...
              'Download it from:\n'...
              'http://www.maths.manchester.ac.uk/~higham/mftoolbox']);
       error(msg)
   end    
end   

n = 10;
A = gallery('invhess',n);
A = expm(gallery('dramadah',n));

fprintf('Residuals for this matrix should be of the order of 10^(-15).\n')

[X,s,m] = logm_new(A);
[X2,s2,m2] = logm_iss_full(A);

fprintf('LOGM_NEW:      s = %g, m = %g, residual = %9.2e\n', ...
         s, m, norm(expm(X)-A,1)/norm(A,1))
fprintf('LOGM_ISS_FULL: s = %g, m = %g, residual = %9.2e\n', ...
         s2, m2, norm(expm(X2)-A,1)/norm(A,1))
